:root {
    --gray: #6c757d;
    --gray-dark: #343a40;
    --primary: #182a61;
    --secondary: #f47920;
    --success: #28a745;
    --info: #17a2b8;
    --warning: #ffc107;
    --danger: #dc3545;
    --light: #f8f9fa;
    --dark: #343a40;
}

* {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

html {
    background: rgba(229, 231, 235, 1);
    font-size: 16px;
}

body {
    background: transparent;
    font-family: "Inter", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

body, p {
    line-height: 1.5rem;
}

label {
    font-weight: 500;
}

h1,
h2,
h3 {
    font-weight: 600;
    font-family: "Inter", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

h1 {
    font-size: 1.5rem;
    margin-bottom: 1.5rem;
}

h2 {
    font-size: 1.25rem;
    margin-bottom: 1.25rem;
}

h3 {
    font-size: 1rem;
    margin-bottom: 1.25rem;
}

form {
    margin: 1rem 0;
}

.container .container {
    margin-top: 1rem;
    padding: 1.5rem;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.12), 0 3px 16px rgba(0, 0, 0, 0.06);
    margin-bottom: 2rem;
}

label {
    color: #333;
    font-weight: 500;
    font-size: 0.875rem;
    line-height: 28px;
}

.form-control {
    border-radius: 0;
    font-size: 0.875rem;
    color: #222;

}
.form-control:focus {
    box-shadow: 0 0 0 2px hsla(220,60%,70%,0.3);
    border-color: rgba(24,42,94, 0.5);
}

.btn-primary,
.badge-primary {
    background: var(--primary);
    border-color: var(--primary);
}

.btn-secondary,
.badge-secondary {
    background: var(--secondary);
    border-color: var(--secondary);
}

.btn small.text-muted {
    color: #FFF !important;
    opacity: 0.6 !important;
}

.hull {
    display: none;
}

.route {
    position: relative;
}

.delete-route {
    color: #333;
    position: absolute;
    font-size: 1.25rem;
    top: 8px;
    right: 8px;
    height: 24px;
    text-align: center;
    width: 24px;
    line-height: 1;
    padding: 0;
    border-radius: 100%;
    display: inline-block;
    text-decoration: none;
}

.delete-route:hover {
    background: #eee;
    text-decoration: none;
}

.delete-route:focus {
    text-decoration: none;
}

.dropzone {
    background: transparent;
    border: 1px dashed #4e555b;
}

.alert.text-sm {
    font-size: 0.8rem;
    line-height: 1.25;
}

.alert.text-sm small {
    font-size: 0.75rem;
}

ul {
    padding-left: 0;
    margin: 0 0 1rem 0;
    list-style: square;
}

ul li {
    list-style: inside;
}

.alert.alert-info {
    background: #ebf5ff;
    color: #215cdc;
}

.text-sm p {
    margin-bottom: 0.5rem;
}

.alert.alert-info .text-muted {
    color: #445b85 !important;
}

.alert.alert-warning {
    background: #fdfdea;
    color: #975a22;
}

table.cargo-space {
    display: table;
    table-layout: fixed;
}

table.cargo-space td.cargo-space-use {
    padding: 0;
    position: relative;
    border: 0;
}

table.cargo-space td.cargo-space-use .custom-control {
    padding: 0;
    border: 1px solid #ddd;
    min-height: 2.5rem;
}

table.cargo-space td.cargo-space-use label {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

table.cargo-space td.cargo-space-use label:before {
    border-radius: 0;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
}

table.cargo-space td.cargo-space-use label:after {
    left: 50%;
    transform: translateX(-50%);
    top: 0.6rem;
}

.custom-control.custom-switch {
    margin-bottom: 0.5rem;
}

.logo {
    max-width: 215px;
    height: auto !important;
}

#week-tabs li {
    display: inline-block;
    list-style: none;
}

#week-tabs li a.active {
    background: #005cbf;
    color: #FFF;
}

.modal {
    display:    none;
    position:   fixed;
    z-index:    1000;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    background: rgba( 255, 255, 255, .8 ) 
                url('http://i.stack.imgur.com/FhHRx.gif') 
                50% 50% 
                no-repeat;
}

/* When the body has the loading class, we turn
   the scrollbar off with overflow:hidden */
body.loading .modal {
    overflow: hidden;   
}

/* Anytime the body has the loading class, our
   modal element will be visible */
body.loading .modal {
    display: block;
}

